## ros-kinetic-roch-safety-controller 2.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_safety_controller)
find_package(catkin REQUIRED COMPONENTS roscpp  std_msgs geometry_msgs roch_msgs yocs_controllers ecl_threads)
find_package(Boost REQUIRED COMPONENTS chrono)

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS roscpp  std_msgs geometry_msgs roch_msgs yocs_controllers ecl_threads
   DEPENDS Boost
)

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS})

add_executable(roch_safety_controller_nodelet src/nodelet.cpp)
add_dependencies(roch_safety_controller_nodelet roch_msgs_gencpp)
target_link_libraries(roch_safety_controller_nodelet ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS roch_safety_controller_nodelet
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-roch-safety-controller (2.0.15-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (2.0.14-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (2.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.13-0xenial) xenial; urgency=high

  * Modified output command to twist_mux.

 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.12-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.11-0xenial) xenial; urgency=high

  * Modify website.
  * Add application of roch_safety_controoler used in install.

 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.10-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.9-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.8-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.7-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Fri, 20 Jan 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (1.0.6-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-safety-controller (0.0.2-0xenial) xenial; urgency=high

  * Add ult/psd/cliff sensors data.
  * Automatic obstacle avoidance when sensors data less than given.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Thu, 29 Dec 2016 16:00:00 -0000

ros-kinetic-roch-safety-controller (0.0.1-0xenial) xenial; urgency=high

  *Refrence Yujinrobot' kobuki.
  *Do own package.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Tue, 29 Nov 2016 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roch-safety-controller
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-roch-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-yocs-controllers
Homepage: http://wiki.ros.org/roch_safety_controller
Standards-Version: 3.9.2

Package: ros-kinetic-roch-safety-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-roch-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-yocs-controllers
Description: A controller ensuring the safe operation of roch.
 The SafetyController keeps track of ult, psd and cliff events. In case of the first three, roch is commanded to move back. This controller can be enabled/disabled. The safety states (cliff, psd and ult etc.) can be reset. WARNING: Dangerous! Refrence with yujinrobot' kobuki.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roch-safety-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
